const express = require('express');
const app = express();
var http = require('http').Server(app);
const port = process.env.PORT || 3333;
app.set("port", port);
var io = require('socket.io')(http);
const cookieParser = require('cookie-parser');
app.use(cookieParser());

// bootstrap
app.use('/css', express.static(__dirname + '/node_modules/bootstrap/dist/css'));

//routes
const routes = require(__dirname + '/routes');
app.use("/", routes);

//start server
var server = http.listen(port, () => {
    console.log(`server is running on port ${server.address().port}`);
});

//socket.io
io.on('connection', (socket) => {
    socket.on('chat message', (msg) => {
        console.log(`message: ${msg}, id: ${socket.id}`);
    });
});

